Bug 1421270 - Update python pandas to 0.19.1
Summary: Update python pandas to 0.19.1
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pandas
Version: epel7
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: http://pandas.pydata.org/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 19:35 UTC by David Kavanagh
Modified: 2017-02-15 23:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 23:27:16 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1276094 0 unspecified CLOSED Please update python-pandas to 0.17 2021-02-22 00:41:40 UTC

Description David Kavanagh 2017-02-10 19:35:40 UTC
Description of problem:
The current version in epel7 is 0.17.1 and there are new features that have been released in the last 15 months.

Comment 1 Orion Poplawski 2017-02-10 22:53:30 UTC
There are API and backwards incompatible changes since 0.17.1:

http://pandas-docs.github.io/pandas-docs-travis/

EPEL strives for stability so I'm hesitant to update.

Comment 2 David Kavanagh 2017-02-11 02:29:55 UTC
How about 0.18.1? That added the Select by Callable that I was hoping to leverage: http://pandas.pydata.org/pandas-docs/stable/indexing.html#selection-by-callable

Comment 3 Orion Poplawski 2017-02-15 23:27:16 UTC
These are the incompatible changes:

- 0.18 - http://pandas-docs.github.io/pandas-docs-travis/whatsnew.html#whatsnew-0180-api-breaking


    the leading whitespaces have been removed from the output of .to_string(index=False) method (GH11833)
    the out parameter has been removed from the Series.round() method. (GH11763)
    DataFrame.round() leaves non-numeric columns unchanged in its return, rather than raises. (GH11885)
    DataFrame.head(0) and DataFrame.tail(0) return empty frames, rather than self. (GH11937)
    Series.head(0) and Series.tail(0) return empty series, rather than self. (GH11937)
    to_msgpack and read_msgpack encoding now defaults to 'utf-8'. (GH12170)
    the order of keyword arguments to text file parsing functions (.read_csv(), .read_table(), .read_fwf()) changed to group related arguments. (GH11555)
    NaTType.isoformat now returns the string 'NaT to allow the result to be passed to the constructor of Timestamp. (GH12300)

- 0.18.1 - http://pandas-docs.github.io/pandas-docs-travis/whatsnew.html#whatsnew-0181-api


    .groupby(..).nth() changes
    numpy function compatibility
    Using .apply on groupby resampling
    Changes in read_csv exceptions
    to_datetime error changes
    Other API changes
    Deprecations

My gut instinct is to not upgrade.


Note You need to log in before you can comment on or make changes to this bug.